/* ==========================================================================
   HTML5 Boilerplate styles - h5bp.com (generated via initializr.com)
   ========================================================================== */

html,
button,
input,
select,
textarea {
    color: #222;
}

body {
    font-size: 1em;
    line-height: 1.4;
}

html, body {
	height: 100%;
}

::-moz-selection {
    background: #000;
    color: #F8B11B;
    text-shadow: none;
}

::selection {
    background: #000;
    color: #F8B11B;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

img {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.chromeframe {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}


/* ===== Initializr Styles ==================================================
   Author: Jonathan Verrecchia - verekia.com/initializr/responsive-template
   ========================================================================== */

body {
    font: 16px/26px "Open Sans", Arial;
}

.wrapper {
    width: 90%;
    margin: 0 5%;
}

/* ===================
    ALL: Orange Theme
   =================== */

.header-container {
	background: url("../img/brushed_alu_dark.png") repeat scroll 0 0 transparent;
    border-bottom: 3px solid #F8B11B;
}

.footer-container,
.main aside {
    border-top: 3px solid #F8B11B;
    background: url("../img/brushed_alu_dark.png") repeat scroll 0 0 transparent;
}

.title {
    color: white;
    margin-top: 28px;
}

.main-container {
    min-height: 90%;
}

.footer-container a {
    color: #FFFFFF;
}

.footer-container p {
    margin: 0;
}

hr.faded {
	clear: both;
	float: none;
	width: 100%;
	height: 1px;
	margin: 1.6em 0;
	border: none;
	background: #777777; /* Old browsers */
	background: -moz-linear-gradient(left,  #777777 0%, #F8B11B 15%, #F8B11B 85%, #777777 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,#777777), color-stop(15%,#F8B11B), color-stop(85%,#F8B11B), color-stop(100%,#777777)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(left,  #777777 0%,#F8B11B 15%,#F8B11B 85%,#777777 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(left,  #777777 0%,#F8B11B 15%,#F8B11B 85%,#777777 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(left,  #777777 0%,#F8B11B 15%,#F8B11B 85%,#777777 100%); /* IE10+ */
	background: linear-gradient(to right,  #777777 0%,#F8B11B 15%,#F8B11B 85%,#777777 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#777777', endColorstr='#777777',GradientType=1 ); /* IE6-9 */
}

hr.link {
	height: 1px;
	margin: 3px -10px;
	border: none;
	background: #777777; /* Old browsers */
	background: -moz-linear-gradient(left,  #777777 0%, #F8B11B 15%, #F8B11B 85%, #777777 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,#777777), color-stop(15%,#F8B11B), color-stop(85%,#F8B11B), color-stop(100%,#777777)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(left,  #777777 0%,#F8B11B 15%,#F8B11B 85%,#777777 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(left,  #777777 0%,#F8B11B 15%,#F8B11B 85%,#777777 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(left,  #777777 0%,#F8B11B 15%,#F8B11B 85%,#777777 100%); /* IE10+ */
	background: linear-gradient(to right,  #777777 0%,#F8B11B 15%,#F8B11B 85%,#777777 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#777777', endColorstr='#777777',GradientType=1 ); /* IE6-9 */
}

/* ==============
    MOBILE: Menu
   ============== */
nav ul {
    margin: 0;
    padding: 0;
}

nav a  {
	display: block;
	margin-bottom: 10px;
	text-align: center;
	text-decoration: none;
	color: white;
}

nav a:hover,
nav a:visited {
    color: white;
}

/* ==============
    MOBILE: Main
   ============== */

.main {
    padding: 30px 0;
}

.main article h1 {
    font-size: 2em;
}

.main aside {
    color: #FFFFFF;
    text-shadow: 1px 1px 1px #222222;
    padding: 0px 5% 10px;
}

.main aside a {
	color: #FFFFFF;
}

.footer-container footer {
    color: #FFFFFF;
    text-shadow: 1px 1px 1px #222222;
    padding: 10px 0;
    text-align: center;
}

footer p {
	text-align: center;f
}

section {
	margin-bottom: 40px;
}

/* ===============
    ALL: IE Fixes
   =============== */

.ie7 .title {
    padding-top: 20px;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

.subtitle {
    clear: left;
    color: white;
    text-shadow: 1px 1px 1px #222222;
}

.slogan {
    color: white;
    text-shadow: 1px 1px 1px #666666;
}

aside.news {
    margin-top: 20px;
}

.news h3 {
	font-family: "Open Sans", Arial;
}

.news span {
	 font-size: 12px;
}

.btn {
    -moz-transition: none 0s ease 0s;
    background: #ffffff; /* Old browsers */
	background: -moz-linear-gradient(top, #ffffff 0%, #dddddd 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ffffff), color-stop(100%,#dddddd)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top, #ffffff 0%,#dddddd 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top, #ffffff 0%,#dddddd 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top, #ffffff 0%,#dddddd 100%); /* IE10+ */
	background: linear-gradient(to bottom, #ffffff 0%,#dddddd 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#dddddd',GradientType=0 ); /* IE6-9 */
    background-repeat: repeat-x;
    border: 0 none;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.1) inset, 0 1px 5px rgba(0, 0, 0, 0.25);
    cursor: pointer;
    display: inline-block;
    font-size: 22px;
    font-weight: 200;
    line-height: normal;
    margin-bottom: 0;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
}

aside a.btn {
	color: #656565;
	text-shadow: none;
}

p {
	text-align: justify;
}

body {
	background: url("../img/brushed_alu.png") repeat scroll 0% 0% transparent;
}

a:hover, a:active {
    outline: 0 none;
}

.btn:active {
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1) inset, 0 1px 0 rgba(255, 255, 255, 0.1);
}

code {
	color: green;
	font-family: Inconsolata, Consolas, monospace, serif;
	font-size: 14px;
}

li ul {
	margin: 0;
}

ul.xmlcode {
	list-style-type: none;
	padding-left: 0px;
}

ul.xmlcode ul {
	list-style-type: none;
	margin: 0px;
}

td, th {
	padding: 0 5px;
}

.helptable td, .helptable th {
	padding: 2px 5px;
}

.title > a {
    color: #F8B11B;
    font-family: Arial;
    font-size: 2em;
    text-decoration: none;
    text-shadow: 4px 4px 4px #333333;
}

input, textarea {
	margin: 0.3em 0;
}
.fieldContainer {
	margin: 0.67em;
}

.label {
	float: left;
	width: 12em;
	margin-top: 0.1em;
}

.errorMessage {
	font-size: 0.7em;
	color: #f00;
	white-space: nowrap;
}

.block {
	display: block;
}

/* ==========================================================================
   Media Queries
   ========================================================================== */

@media only screen and (min-width: 590px) {

/* ====================
    INTERMEDIATE: Menu
   ==================== */

    nav a {
	    float: left;
	    margin: 0 12px;
	    padding: 0 0 5px 0;
    }

    nav li:first-child a {
        margin-left: 0;
    }

    nav li:last-child a {
        margin-right: 0;
    }
    
    .slogan, .subtitle {
    	display: none;
    }

/* ========================
    INTERMEDIATE: IE Fixes
   ======================== */

    nav ul li {
        display: inline;
    }

    .oldie nav a {
        margin: 0 0.7%;
    }
}

@media only screen and (min-width: 900px) {

/* ====================
    WIDE: CSS3 Effects
   ==================== */

    .header-container,
    .main aside {
        -webkit-box-shadow: 0 5px 10px #aaa;
           -moz-box-shadow: 0 5px 10px #aaa;
                box-shadow: 0 5px 10px #aaa;
    }

/* ============
    WIDE: Menu
   ============ */

    .title {
        float: left;
        margin: 45px 0 40px;
    }

    nav {
        float: right;
    }
    
    nav a {
    	padding: 5px 0 0 0;
    }
    
/* ============
    WIDE: Main
   ============ */

    .main article {
        float: left;
        width: 68%;
    }

    .main aside {
        float: right;
        margin-bottom: 20px;
        width: 20%;
    }
    
    .slogan {
        width: 69%;
    }
    
    .slogan, .subtitle {
    	display: block;
    }
    
    aside.news {
    	margin-top: 0;
	    padding: 0 2%;
	    width: 26%;
	}
}

@media only screen and (min-width: 1140px) {

/* ===============
    Maximal Width
   =============== */

    .wrapper {
        width: 1026px; /* 1140px - 10% for margins */
        margin: 0 auto;
    }
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    *text-indent: -9999px;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 100%;
}

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   Print styles
   ========================================================================== */

@media print {
    * {
        background: transparent !important;
        color: #000 !important; /* Black prints faster: h5bp.com/s */
        box-shadow:none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links for images, or javascript/internal links
     */

    .ir a:after,
    a[href^="javascript:"]:after,
    a[href^="#"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group; /* h5bp.com/t */
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    @page {
        margin: 0.5cm;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}